## torbirdy 0.1.3

=== Makefile ===
SHELL := /bin/bash
VERSION := $(shell cat install.rdf|grep '<em:version>'|cut -d\> -f2|cut -d\< -f1)

make-xpi:
	zip -r ../torbirdy-$(VERSION).xpi * -x "debian/*" -x "patches/*" -x "ChangeLog" -x "Makefile" -x "gpg.conf" -x "import-translations.sh" -x "README.RELEASE"

clean:
	rm -f ../torbirdy-$(VERSION).xpi

git-tag:
	git tag -u 0xD255D3F5C868227F -s $(VERSION)

git-push:
	git push --tags
	git push

sign-release:
	gpg -u 0xD255D3F5C868227F -abs ../torbirdy-${VERSION}.xpi$
	sha1sum ../torbirdy-${VERSION}.xpi$

push-release:
	chmod 664 ../torbirdy-${VERSION}.xpi*$
	scp ../torbirdy-${VERSION}.xpi* vescum.torproject.org:/srv/www-master.torproject.org/htdocs/dist/torbirdy/$
	scp ../torbirdy-${VERSION}.xpi vescum.torproject.org:/srv/www-master.torproject.org/htdocs/dist/torbirdy/torbirdy-current.xpi$
	scp ../torbirdy-${VERSION}.xpi.asc vescum.torproject.org:/srv/www-master.torproject.org/htdocs/dist/torbirdy/torbirdy-current.xpi.asc$
	ssh vescum.torproject.org ~mirroradm/bin/trigger-mirrors
	
release: sign-release push-release

## torbirdy 0.1.2

=== debian/changelog ===
torbirdy (0.1.2-1) unstable; urgency=low

  * Initial release. (Closes: #699107)

 -- Jacob Appelbaum <jacob@appelbaum.net>  Fri, 21 Feb 2014 17:43:54 +0000

=== debian/control ===
Source: torbirdy
Section: web
Priority: optional
Maintainer: Jacob Appelbaum <jacob@appelbaum.net>
Build-Depends: debhelper (>= 9), mozilla-devscripts (>= 0.16~)
Standards-Version: 3.9.5
Homepage: https://www.github.com/ioerror/torbirdy
Vcs-Git: git://anonscm.debian.org/pkg-mozext/torbirdy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/torbirdy.git

Package: xul-ext-torbirdy
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: configures and enhances various Mozilla birds for anonymity use
 The TorBirdy extension configures Thunderbird (or Icedove, etc) to make
 connections over the Tor anonymity network. It also takes steps to protect
 anonymity at the application level by reducing unique identifiers, disabling
 unsafe plugins, disabling insecure protocols, helpfully configuring other
 software such as Enigmail and GnuPG in anonymity protecting ways and more. It
 also helps to ease configuration with other anonmity networks and proxies such
 as JonDos.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with xul-ext --buildsystem=xul_ext --parallel

override_dh_install:
	rm -f debian/xul-ext-torbirdy/usr/share/xul-ext/torbirdy/LICENSE

## torbirdy 0.1.3

=== debian/changelog ===
torbirdy (0.1.3-1) unstable; urgency=low

  * Team upload.

  [ Jacob Appelbaum ]
  * New upstream release
  * Add dependency on Tor daemon 
  * Patch TorBirdy to use 9050 (Closes: #756054)

  [ Jérémy Bobbio ]
  * Stop installing useless files.
  * Bump Standards-Version, no changes required.
  * Update homepage.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 26 Oct 2014 09:11:25 +0100

=== debian/control ===
Source: torbirdy
Section: web
Priority: optional
Maintainer: Jacob Appelbaum <jacob@appelbaum.net>
Build-Depends: debhelper (>= 9), mozilla-devscripts (>= 0.16~)
Standards-Version: 3.9.6
Homepage: https://trac.torproject.org/projects/tor/wiki/torbirdy
Vcs-Git: git://anonscm.debian.org/pkg-mozext/torbirdy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/torbirdy.git

Package: xul-ext-torbirdy
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}, tor
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: configures and enhances various Mozilla birds for anonymity use
 The TorBirdy extension configures Thunderbird (or Icedove, etc) to make
 connections over the Tor anonymity network. It also takes steps to protect
 anonymity at the application level by reducing unique identifiers, disabling
 unsafe plugins, disabling insecure protocols, helpfully configuring other
 software such as Enigmail and GnuPG in anonymity protecting ways and more. It
 also helps to ease configuration with other anonymity networks and proxies such
 as JonDos.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with xul-ext --buildsystem=xul_ext --parallel

override_dh_install:
	for file in README LICENSE ChangeLog Makefile README.RELEASE gpg.conf \
		import-translations.sh patches; do \
		rm -r debian/xul-ext-torbirdy/usr/share/xul-ext/torbirdy/$$file; \
	done

## torbirdy 0.1.4

=== debian/changelog ===
torbirdy (0.1.4-1) unstable; urgency=medium

  [ Ulrike Uhlig ]
  * Migration to pkg-privacy-maintainers.
  * Add myself to uploaders.
  * New upstream version (Closes: #793987).
  * debian/rules: remove filenames from removal loop that had already
    been removed upstream (thanks <Chris.Knadle@coredump.us>).
  * Patch Torbirdy's default locale:
    XUL localization system treats "en-US" as hardcoded default, if
    present. Otherwise it falls back to first list in the language which
    is wrong. This has been fixed upstream for torbirdy 0.1.5.
  * Update copyright years in debian/copyright.

  [ intrigeri ]
  * Use HTTPS URL for the Vcs-Git control field.
  * Clean up Debian patches header.

 -- Ulrike Uhlig <u@451f.org>  Sun, 27 Sep 2015 23:30:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: torbirdy
 Section: web
 Priority: optional
-Maintainer: Jacob Appelbaum <jacob@appelbaum.net>
+Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
+Uploaders: Jacob Appelbaum <jacob@appelbaum.net>, Ulrike Uhlig <u@451f.org>
 Build-Depends: debhelper (>= 9), mozilla-devscripts (>= 0.16~)
 Standards-Version: 3.9.6
 Homepage: https://trac.torproject.org/projects/tor/wiki/torbirdy
-Vcs-Git: git://anonscm.debian.org/pkg-mozext/torbirdy.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/torbirdy.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/torbirdy.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/torbirdy.git
 
 Package: xul-ext-torbirdy
 Architecture: all

=== debian/watch ===
version=3
https://www.torproject.org/dist/torbirdy/torbirdy-([0-9].+).xpi debian xpi-repack

## torbirdy 0.2.0

=== Makefile ===
SHELL := /bin/bash
VERSION := $(shell cat install.rdf|grep '<em:version>'|cut -d\> -f2|cut -d\< -f1)

FAKETIME := 200001010000

make-xpi:
	zip -r ../torbirdy-$(VERSION).xpi * -x "debian/*" -x "ChangeLog" -x "Makefile" -x "gpg.conf" -x "import-translations.sh" -x "README.RELEASE"

make-reproducible:
	find . -print0 | xargs -0 touch -t $(FAKETIME)
	zip -X ../torbirdy-$(VERSION).xpi `find . | sort` -x "debian/*" -x "ChangeLog" -x "Makefile" -x "gpg.conf" -x "import-translations.sh" -x "README.RELEASE" -x *.git*

clean:
	rm -f ../torbirdy-$(VERSION).xpi

git-tag:
	git tag -u 0xB01C8B006DA77FAA -s $(VERSION)

git-push:
	git push --tags
	git push

sign-release:
	gpg -u 0xB01C8B006DA77FAA -abs ../torbirdy-${VERSION}.xpi$
	sha1sum ../torbirdy-${VERSION}.xpi$

push-release:
	chmod 664 ../torbirdy-${VERSION}.xpi*
	scp ../torbirdy-${VERSION}.xpi* staticiforme.torproject.org:/srv/dist-master.torproject.org/htdocs/torbirdy/
	scp ../torbirdy-${VERSION}.xpi staticiforme.torproject.org:/srv/dist-master.torproject.org/htdocs/torbirdy/torbirdy-current.xpi
	scp ../torbirdy-${VERSION}.xpi.asc staticiforme.torproject.org:/srv/dist-master.torproject.org/htdocs/torbirdy/torbirdy-current.xpi.asc
	ssh staticiforme.torproject.org static-update-component dist.torproject.org
	
release: sign-release push-release

=== debian/changelog ===
torbirdy (0.2.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ulrike Uhlig <u@451f.org>  Sun, 31 Jul 2016 17:21:13 +0200

torbirdy (0.2.0-1) unstable; urgency=medium

  * New upstream version:
    - Prevent local timestamp disclosure via Date header
    - Prevent local timestamp disclosure via Message-ID header
    - Fix usage of wrong locale
    - Allow configuration of default email protocol
    - Add support for deterministic XPI generation
    - Fix non-standard EHLO argument (Closes: #812115).
    - Allow manual account configuration for Gmail with OAuth2
    - Add and audit support for RSS reader
    - Audit and update support for NNTP
    - Update Thunderbird UI to reflect TorBirdy's state
    - Set secure defaults for outgoing mail servers
  * debian/watch: use new Git repository.
  * debian/README.source: document current build process.
  * debian/copyright: use new upstream Git repository.
  * debian/patches:
    - update socks port change patches to use system tor.
    - add patches to specify a local IP address for no proxy.

 -- Ulrike Uhlig <u@451f.org>  Tue, 05 Jul 2016 20:17:01 +0200

torbirdy (0.1.4-2) unstable; urgency=medium

  * Team upload.
  * Remove Jacob from uploaders.
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Sun, 19 Jun 2016 13:53:49 +0200

=== debian/watch ===
version=3
opts=downloadurlmangle=s/tag\/\?id=([\w\.]+)/snapshot\/$1.tar.gz/,\
filenamemangle=s/.*tag\/\?id=([\w\.]+)/torbirdy-$1.tar.gz/ \
 https://gitweb.torproject.org/torbirdy.git/refs  ^.*tag\/\?id=([\w\.]+)

## torbirdy 0.2.1

=== debian/changelog ===
torbirdy (0.2.1-1) unstable; urgency=medium

  * New upstream version:
    - Do not set calendar timezone to UTC.
    - Bug 20750, 20644: Ensure RSS feeds are displayed in plain text.
    - Revert setting no_proxies_on to an empty string.
    - Add support for automatic configuration of systemli.org
      email accounts.

 -- Ulrike Uhlig <u@451f.org>  Thu, 01 Dec 2016 21:05:02 +0100

## torbirdy 0.2.2

=== debian/changelog ===
torbirdy (0.2.2-1) unstable; urgency=medium

  * New upstream version:
    - Enforce stronger ciphers in TorBirdy.
    - Add support for already torified keyserver using modern GnuPG.
    - Minimum supported Thunderbird version is 45.0, maximum is 52.*
    - Update default keyserver to OnionBalance hidden service pool.
  * Improve debian/README.source.
  * debian/patches:
    - Delete patch socks_port_enigmail: the port is now hardcoded.
    - Update patch socks_port_preferences.

 -- Ulrike Uhlig <u@451f.org>  Wed, 19 Apr 2017 13:40:53 +0200

## torbirdy 0.2.3

=== debian/changelog ===
torbirdy (0.2.3-2) unstable; urgency=medium

  * Restore patch to make default port 9050.

 -- Ulrike Uhlig <ulrike@debian.org>  Tue, 12 Sep 2017 11:58:54 +0200

torbirdy (0.2.3-1) unstable; urgency=medium

  * New upstream version:
    - Enable encrypted email headers for Enigmail (Memory Hole).
    - Update Enigmail values for custom proxy settings.
    - Disable Microsoft Family Safety and Google Safe Browsing.
    - Update keyserver port to 9150 (Tor Browser default).
  * debian/watch: check for PGP signature.
  * debian/control: Change uploader email address.
  * Improve debian/README.source.

 -- Ulrike Uhlig <ulrike@debian.org>  Mon, 11 Sep 2017 15:31:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: web
 Priority: optional
 Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
-Uploaders: Jacob Appelbaum <jacob@appelbaum.net>, Ulrike Uhlig <u@451f.org>
+Uploaders: Ulrike Uhlig <ulrike@debian.org>
 Build-Depends: debhelper (>= 9), mozilla-devscripts (>= 0.16~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://trac.torproject.org/projects/tor/wiki/torbirdy
 Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/torbirdy.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/torbirdy.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with xul-ext --buildsystem=xul_ext --parallel

override_dh_install:
	for file in README LICENSE; do \
		rm -r debian/xul-ext-torbirdy/usr/share/xul-ext/torbirdy/$$file; \
	done

## torbirdy 0.2.4

=== debian/changelog ===
torbirdy (0.2.4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Ulrike Uhlig <ulrike@debian.org>  Tue, 08 May 2018 12:36:40 +0200

torbirdy (0.2.4-1) unstable; urgency=medium

  * New upstream version:
    - Don't leak installed dictionary in TB52+.
    - Disable fetching site icons.
    - Correct invalid GPG keyserver options in Enigmail.
    - Add support for TB 58 and 59.
  * debian/control: Migrate VCS fields to salsa.
  * debian/patches: Update SOCKS port patch.

 -- Ulrike Uhlig <ulrike@debian.org>  Wed, 11 Apr 2018 17:32:44 +0200

## torbirdy 0.2.5

=== debian/changelog ===
torbirdy (0.2.5-1) unstable; urgency=medium

  * New upstream version:
    - Add compatibility for Thunderbird 60.

 -- Ulrike Uhlig <ulrike@debian.org>  Tue, 08 May 2018 12:15:53 +0200

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://www.torproject.org/dist/torbirdy/torbirdy-([0-9].+).xpi debian xpi-repack

## torbirdy 0.2.6

=== debian/changelog ===
torbirdy (0.2.6-2) unstable; urgency=high

  * Torbirdy is incompatible with Thunderbird >=68.

 -- Ulrike Uhlig <ulrike@debian.org>  Mon, 25 Nov 2019 09:19:36 +0100

torbirdy (0.2.6-1) unstable; urgency=medium

  * New upstream version:
    - Improve compatibility with Thunderbird 60.

 -- Ulrike Uhlig <ulrike@debian.org>  Mon, 08 Oct 2018 10:37:01 +0200

=== debian/control ===
Source: torbirdy
Section: web
Priority: optional
Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders: Ulrike Uhlig <ulrike@debian.org>
Build-Depends: debhelper (>= 9), mozilla-devscripts (>= 0.47~)
Standards-Version: 3.9.8
Homepage: https://trac.torproject.org/projects/tor/wiki/torbirdy
Vcs-Git: https://salsa.debian.org/pkg-privacy-team/torbirdy.git
Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/torbirdy

Package: xul-ext-torbirdy
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}, thunderbird (<< 1:68.0), tor
Breaks: thunderbird (>= 1:68.0)
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: configures and enhances Thunderbird for anonymity use
 The TorBirdy extension configures Thunderbird to make connections over the Tor
 anonymity network. It also takes steps to protect anonymity at the application
 level by reducing unique identifiers, disabling unsafe plugins, disabling
 insecure protocols, and helpfully configuring other software such as Enigmail
 and GnuPG in anonymity protecting ways and more. It also helps to ease
 configuration with other anonymity networks and proxies such as JonDo.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://dist.torproject.org/torbirdy/torbirdy-([0-9].+).xpi debian xpi-repack
